<?php 
defined('BASEPATH') OR exit('No direct script access allowed');

class c_template_berita_acara extends CI_Controller {

	function popup_jenis_ba(){

        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $this->load->model('generate_template/m_template_berita_acara','template');
		$data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }

        $data['id_jadwal_sidang']=$this->encrypt->decode(base64_decode($this->uri->segment('4')));       
        $perkara = $this->template->data_perkara($idperkara);

        foreach ($perkara->result() as $row){
        	$data['nomor_perkara'] = $row->nomor_perkara;
        	$data['alur_perkara_id'] = $row->alur_perkara_id;
        	$data['alur_perkara_nama'] = $row->alur_perkara_nama;
        }
        $data['kurator'] = $this->template->list_kurator();
        $data['penggugat'] = $this->template->get_pihak($idperkara,1);
        $data['tergugat'] = $this->template->get_pihak($idperkara,2);
        $data['template'] = $this->template->list_template($data['alur_perkara_id']);
        $data['jadwal_sidang'] = $this->template->jadwal_sidang($idperkara);
        $detil_sidang = $this->template->get_detil_sidang($data['id_jadwal_sidang']);
        $data['tgl'] = $detil_sidang->row()->tanggal_sidang;

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');     
        $template=$this->template2->getDataDocumentTemplate($data['alur_perkara_id'],'14','200','','berita acara');
        $i=0;
	    $jnsperkara='';
        foreach ($template->result() as $template)
        {
            if ($i=='0')
            {
                $judul=$template->namatemplate;
                $judul=explode("Kepada",$judul);
                $jnsperkara=$template->jnsperkara;
            }
        }

        $data['judul']="Berita Acara Persidangan";
        $data['jnsperkara']=$jnsperkara;
        $this->load->view('generate_template/umum/berita_acara/popup_berita_acara',$data);
	}    

    function popup_jenis_ba_pk(){
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $this->load->model('generate_template/m_template_berita_acara','template');
        $perkara = $this->template->data_perkara($idperkara);
        foreach ($perkara->result() as $row){
            $data['nomor_perkara'] = $row->nomor_perkara;
            $data['alur_perkara_id'] = $row->alur_perkara_id;
            $data['alur_perkara_nama'] = $row->alur_perkara_nama;
        }

        $this->load->view('generate_template/popup_berita_acara_pk',$data,FALSE);
    }
    function popup_jenis_ba_perdata(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $this->load->model('generate_template/m_template_berita_acara','template');
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }

        $data['id_jadwal_sidang']=$this->uri->segment('4'); 
        $this->load->model('jadwalsidang/jadwal_sidang_m','jadwal');
        $idjadwal=$this->encrypt->decode(base64_decode($data['id_jadwal_sidang']));
        $jadwal_sidang = $this->jadwal->get_detil_jadwal($idjadwal);
        $data['tgl_sidang'] = $this->tanggalhelper->convertDayDate($jadwal_sidang[0]->tanggal_sidang); 
        $perkara = $this->template->data_perkara($idperkara);

        foreach ($perkara->result() as $row){
            $data['nomor_perkara'] = $row->nomor_perkara;
            $data['alur_perkara_id'] = $row->alur_perkara_id;
            $data['alur_perkara_nama'] = $row->alur_perkara_nama;
        }
        $data['alur_perkara_id'] = $this->tanggalhelper->getIDAlurPerkara($idperkara); 
        $data['bas']=$this->uri->segment('5');       
        if($data['bas']==1)
            $data['judul']="Berita Acara Sidang Pertama";
        elseif($data['bas']==2)
            $data['judul']="Berita Acara Sidang Lanjutan";
        $data['jnsperkara']=$data['alur_perkara_nama'];
        $this->load->view('generate_template/umum/berita_acara/popup_berita_acara_perdata_pertama',$data);
    }

	function cetak_ba_perdata(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $idperkara=$this->encrypt->decode(base64_decode($this->input->post('enc',TRUE)));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $id_jadwal_sidang=$this->encrypt->decode(base64_decode($this->input->post('enc_jadwal_sidang',TRUE)));
        $enc_pop=$this->input->post('jenis_ba',TRUE);
        $bas=$this->input->post('bas',TRUE);
        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);

        $pihak_ke='';
        if($alur_perkara_id==1||$alur_perkara_id==7){
            if($enc_pop==1 && $bas==1)
                $filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_PERTAMA.rtf';
            elseif($enc_pop==1 && $bas==2)
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_PENETAPAN_MEDIATOR.rtf';
            elseif ($enc_pop==2)
                $filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_1.rtf';
            elseif ($enc_pop==3) 
                $filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_2.rtf';
            elseif ($enc_pop==4) 
                $filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_3.rtf';
            elseif ($enc_pop==5) 
                $filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_4.rtf';
            elseif ($enc_pop==6) 
                $filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_5.rtf';
            elseif ($enc_pop==7){
                $pihak_ke=1;
                $filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_6.rtf';
            }elseif ($enc_pop==8){
                $pihak_ke=2;
                $filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_7.rtf';
            }elseif($enc_pop==9){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_8.rtf';
            }elseif($enc_pop==10){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_9.rtf';
            }elseif($enc_pop==11){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_PENGGUGAT_TDK_HADIR.rtf';
            }elseif($enc_pop==12){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_MEDIASI_GUGUR_PUTUSAN.rtf';
            }elseif($enc_pop==13){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_MEDIASI_BERHASIL.rtf';
            }elseif($enc_pop==14){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_PEMBACAAN_AKTA_PERDAMAIAN.rtf';
            }elseif($enc_pop==15){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_MEDIASI_BERHASIL_CABUT.rtf';
            }elseif($enc_pop==16){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_PUTUSAN_SELA_KABUL_TOLAK.rtf';
            }elseif($enc_pop==17){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_PERTAMA_T_TDK_HADIR.rtf';
            }elseif($enc_pop==18){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_1_T_TDK_HADIR.rtf';
            }elseif($enc_pop==19){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_LANJUTAN_2_T_TDK_HADIR.rtf';
            }elseif($enc_pop==20){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BAS_PDT_G_PUTUSAN_VERSTEK.rtf';
            }elseif($enc_pop==21){
            	$filenya = 'peradilan_umum/perdata/berita_acara/BA_SITA_REVINDICATOIR.rtf';
            }
        }elseif($alur_perkara_id==2){
            $filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_SIDANG_PERTAMA.rtf';
        }elseif($alur_perkara_id==8){
            $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_SIDANG_PERTAMA.rtf';
        }

        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,                    
                    'jadwal_sidang_id'=>$id_jadwal_sidang,
                    'pihak_ke'=>$pihak_ke);      
                    // print_r($data_id);exit();     
        $this->load->model('generate_template/var_template');                          
        $this->var_template->kirim_variabel($data_id);

	}

    function popup_jenis_ba_pidana(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $this->load->model('generate_template/m_template_berita_acara','template');
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }

        $data['id_jadwal_sidang']=$this->uri->segment('4'); 
        $perkara = $this->template->data_perkara($idperkara);

        foreach ($perkara->result() as $row){
            $data['nomor_perkara'] = $row->nomor_perkara;
            $data['alur_perkara_nama'] = $row->alur_perkara_nama;
        }               
        // $data['alur_perkara_id'] = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        
        $data['judul']="Berita Acara Sidang Pertama";
        $data['jnsperkara']= $data['alur_perkara_nama'];
        $this->load->view('generate_template/umum/berita_acara/popup_berita_acara_pidana',$data);
    }

    function cetak_ba_pidana(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }
               
        $idperkara = $this->encrypt->decode(base64_decode($this->input->post('enc',TRUE)));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $id_jadwal_sidang = $this->encrypt->decode(base64_decode($this->input->post('enc_jadwal_sidang',TRUE)));  
        $keterangan_ph = $this->input->post('form_keterangan_ph',TRUE);
        $keterangan_dakwaan = $this->input->post('form_isi_dakwaan',TRUE);

        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($alur_perkara_id==118)
        	$istilah_terdakwa = 'Anak';
        else
        	$istilah_terdakwa = '#terdakwa_para_terdakwa#';

        if($keterangan_ph=='1'){
            $keteranganPH = "\\t ".$istilah_terdakwa." menerangkan tidak berkehendak didampingi oleh Penasihat Hukum "
            . "karena akan menghadapi sendiri persidangan perkara ini;";
        } else if ($keterangan_ph=='2'){
            $keteranganPH = "\\t ".$istilah_terdakwa." menerangkan akan didampingi oleh Penasihat Hukum "
            . "dan sudah siap pada persidangan ini, yaitu #penasihat_hukum_nama_dkk#, Penasihat Hukum, "
            . "berkantor di Jalan #alamat_penasihat_hukum#, berdasarkan Surat Kuasa Khusus "
            . "Nomor #nomor_kuasa# tanggal #tanggal_kuasa#, Surat Kuasa Khusus tersebut setelah "
            . "diteliti oleh Hakim Ketua lalu diperlihatkan kepada "
            . "Penuntut Umum selanjutnya dilampirkan dalam berkas perkara;";               
        } else if ($keterangan_ph=='3'){
            $keteranganPH = "\\t ".$istilah_terdakwa." menerangkan dalam keadaan tidak mampu "
            . "akan tetapi ingin didampingi oleh Penasihat Hukum; \\par "
            . "\\t Kemudian Majelis Hakim menunjuk #penasihat_hukum_nama_dkk#, Penasihat Hukum, berkantor di Jalan #alamat_penasihat_hukum#, "
            . "berdasarkan Surat Penetapan tanggal #tanggal_kuasa# Nomor #nomor_kuasa#, "
            . "surat penetapan tersebut setelah dibacakan oleh Hakim Ketua lalu dilampirkan dalam berkas perkara;";                
        } else if ($keterangan_ph=='4'){
            $keteranganPH = "\\t Kemudian Majelis Hakim menunjuk #penasihat_hukum_nama_dkk#, Penasihat Hukum, berkantor di Jalan #alamat_penasihat_hukum#, "
            . "berdasarkan Surat Penetapan tanggal #tanggal_kuasa# Nomor #nomor_kuasa#, "
            . "surat penetapan tersebut setelah dibacakan oleh Hakim Ketua lalu dilampirkan dalam berkas perkara;";                
        } else if ($keterangan_ph=='5'){
            $keteranganPH = "\\t ".$istilah_terdakwa." menerangkan tidak bersedia didampingi oleh Penasihat Hukum "
            . "meskipun Majelis Hakin telah menunjuk;";                
        }
        
        if($keterangan_dakwaan=='1'){
            $mengerti_dakwaan = "\\t Selanjutnya atas pertanyaan Hakim Ketua, ".$istilah_terdakwa." menerangkan bahwa yang bersangkutan sudah mengerti isi dakwaan dan ".$istilah_terdakwa." melalui Penasihat Hukumnya akan mengajukan keberatan atas dakwaan Penuntut Umum;";                
        }else if ($keterangan_dakwaan=='2'){
            $mengerti_dakwaan = "\\t Atas pertanyaan Hakim Ketua, ".$istilah_terdakwa." menerangkan bahwa mereka tidak mengerti akan isi dakwaan itu; \\par"
            . "\\t Selanjutnya atas permintaan Hakim Ketua, Penuntut Umum memberikan penjelasan kepada #terdakwa_para_terdakwa# tentang isi dakwaan tersebut, sehingga ".$istilah_terdakwa." sudah benar-benar mengerti akan isi dakwaan itu;";
        }   
        
        if($alur_perkara_id==111)
            $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_SIDANG_PERTAMA.rtf';
        elseif($alur_perkara_id==112)
            $filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_SIDANG_PERTAMA.rtf';
        elseif($alur_perkara_id==118)
            $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_SIDANG_PERTAMA.rtf';

        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,                    
                    'jadwal_sidang_id'=>$id_jadwal_sidang,
                    'keterangan_ph'=>$keteranganPH,
                    'mengerti_dakwaan'=>$mengerti_dakwaan);           
        $this->load->model('generate_template/var_template');                   
        /*$this->session->set_userdata('data_id',$data_id);
        redirect ("c_new_template/kirim_variabel");*/
        $this->var_template->kirim_variabel($data_id);

    }

    function popup_jenis_ba_pidana_lanjutan(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $this->load->model('generate_template/m_template_berita_acara','template');
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }

        $data['id_jadwal_sidang']=$this->uri->segment('4'); 
        $this->load->model('jadwalsidang/jadwal_sidang_m','jadwal');
        $idjadwal=$this->encrypt->decode(base64_decode($data['id_jadwal_sidang']));
        $jadwal_sidang = $this->jadwal->get_detil_jadwal($idjadwal);
        $data['tgl_sidang'] = $this->tanggalhelper->convertDayDate($jadwal_sidang[0]->tanggal_sidang); 
        $perkara = $this->template->data_perkara($idperkara);

        foreach ($perkara->result() as $row){
            $data['nomor_perkara'] = $row->nomor_perkara;
            $data['alur_perkara_id'] = $row->alur_perkara_id;
            $data['alur_perkara_nama'] = $row->alur_perkara_nama;
        }
        $data['alur_perkara_id'] = $this->tanggalhelper->getIDAlurPerkara($idperkara);        
        $data['judul']="Berita Acara Sidang Lanjutan";
        $data['jnsperkara']=$data['alur_perkara_nama'];
        $this->load->view('generate_template/umum/berita_acara/popup_berita_acara_pidana_lanjutan',$data);
    }

    function cetak_ba_pidana_lanjutan(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }
               
        $idperkara = $this->encrypt->decode(base64_decode($this->input->post('enc',TRUE)));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $id_jadwal_sidang = $this->encrypt->decode(base64_decode($this->input->post('enc_jadwal_sidang',TRUE)));  
        $nomor_ba = $this->input->post('jenis_ba',TRUE);

        $this->load->model('generate_template/m_template_berita_acara','m_bas');
        $hasil_pts_sela = $this->m_bas->getHasilPutusanSela($idperkara);
        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($alur_perkara_id!=118){
            $para_terdakwa ="#terdakwa_para_terdakwa#";
        }else{
            $para_terdakwa ="Anak";
        }
        if($hasil_pts_sela==2)
        	$hasil_putusan_sela = "\\t Setelah itu, Hakim Ketua menerangkan karena keberatan #penasihat_hukum# ".$para_terdakwa." tidak diterima, sidang dilanjutkan dengan pemeriksaan saksi;"; 
        elseif($hasil_pts_sela==1)
        	$hasil_putusan_sela = "\\t Setelah itu, Hakim Ketua menyatakan karena keberatan #penasihat_hukum# ".$para_terdakwa." diterima, pemeriksaan perkara selesai, lalu sidang ditutup;";        
        
        
        if($nomor_ba==1){
            if($alur_perkara_id==111)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_1.rtf';
            elseif($alur_perkara_id==112)
                $filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_1.rtf';
            elseif($alur_perkara_id==113)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_3_BA_PID_CEPAT.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_1.rtf';
        }elseif($nomor_ba==2){
            if($alur_perkara_id==111)
        	   $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_2.rtf';
            elseif($alur_perkara_id==112)
                $filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_2.rtf';
            elseif($alur_perkara_id==113)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_3_BA_PID_CEPAT_ANAK.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_2.rtf';
        }elseif($nomor_ba==3){
        	if($alur_perkara_id==111)
        		$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_3.rtf';
        	elseif($alur_perkara_id==112)
        		$filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_3.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_3.rtf';
        }elseif($nomor_ba==4){
        	if($alur_perkara_id==111)
        		$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_4.rtf';
        	elseif($alur_perkara_id==112)
        		$filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_4.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_4.rtf';
        }elseif($nomor_ba==5){
        	if($alur_perkara_id==111)
        		$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_5.rtf';
        	elseif($alur_perkara_id==112)
        		$filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_5.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_5.rtf';
        }elseif($nomor_ba==6){
        	if($alur_perkara_id==111)
        		$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_6.rtf';
                elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_6.rtf';        	
        }elseif($nomor_ba==7){
        	if($alur_perkara_id==111)
        		$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_7.rtf';
        	elseif($alur_perkara_id==112)
        		$filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_6.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_7.rtf';
        }elseif($nomor_ba==8){
        	if($alur_perkara_id==111)
        		$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_8.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_8.rtf';        	
        }elseif($nomor_ba==9){
        	if($alur_perkara_id==111)
        		$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_9.rtf';
        	elseif($alur_perkara_id==112)
        		$filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_7.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_9.rtf';
        }elseif($nomor_ba==10){
        	if($alur_perkara_id==111)
            	$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_10.rtf';
            elseif($alur_perkara_id==112)
            	$filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_8.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_10.rtf';
        }elseif($nomor_ba==11){
        	if($alur_perkara_id==111)
            	$filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_11.rtf';
            elseif($alur_perkara_id==112)
            	$filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_9.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_11.rtf';
        }elseif($nomor_ba==12){
            if($alur_perkara_id==111)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_B_LANJUTAN_12.rtf';
            elseif($alur_perkara_id==112)
                $filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BA_PID_S_LANJUTAN_10.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BA_PID_ANAK_LANJUTAN_12.rtf';
        }elseif($nomor_ba==13){
            if($alur_perkara_id==111)
                $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BAS_TUNTUTAN_BLM_SIAP.rtf';            
        }
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,                    
                    'jadwal_sidang_id'=>$id_jadwal_sidang,
                    'keterangan_hasil_putusan_sela'=>$hasil_putusan_sela); 
                           
        $this->load->model('generate_template/var_template');                           
        $this->var_template->kirim_variabel($data_id);

    }

    function cetak_BA_terdakwa_tdk_hadir() {      
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();
        $data['enc'] = $segment[3];
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }       
        $id_jadwal_sidang = $this->encrypt->decode(base64_decode($segment[4]));  
        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($alur_perkara_id==111){
            $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BAS_PERTAMA_TERDAKWA_TDK_HADIR.rtf';
        }elseif($alur_perkara_id==118){
            $filenya = 'peradilan_umum/pidana/berita_acara/B_1_1_BAS_PERTAMA_ANAK_TDK_HADIR.rtf';
        }elseif($alur_perkara_id==112){
            $filenya = 'peradilan_umum/pidana/berita_acara/S_1_2_BAS_PERTAMA_TERDAKWA_TDK_HADIR.rtf';
        }
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
                    'jadwal_sidang_id'=>$id_jadwal_sidang);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);  
    }
    
    #end 06052017

    function cetak_ba_pk(){
        $segment = $this->uri->segment_array();
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $data['nama_file'] = $segment[4];

        $this->load->model('generate_template/m_template_berita_acara','template');
        #Template
        $rowtmp = $this->template->get_template($data['nama_file']);
        foreach ($rowtmp->result() as $row){
            $data['judul_cetak'] = $this->templatehelper->standradnaming($row->nama);
        }
        
        $perkara = $this->template->cetak_ba_pk($idperkara);
            $data['nomorPerkaraPN'] = $perkara->row()->nomorPerkaraPN;
            $data['tanggalPutusanPN'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalPutusanPN);
            $data['tanggalPermohonanPK'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalPermohonanPK);
            $data['nomorPerkaraBanding'] = $perkara->row()->nomorPerkaraBanding;
            $data['tanggalPutusanBanding'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalPutusanBanding);
            $data['nomorPerkaraKasasi'] = $perkara->row()->nomorPerkaraKasasi;
            $data['tanggalPutusanKasasi'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalPutusanKasasi);
            $data['pendapatJaksa'] = $perkara->row()->pendapatJaksa;
            $data['pendapatHakim'] = $perkara->row()->pendapatHakim;
            $data['amarPutusanPK'] = $this->templatehelper->cleanHtmlTag($perkara->row()->amarPutusanPK);
            $data['statusDiwakili'] = $perkara->row()->statusDiwakili;
            $data['tanggalSuratPemohon'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalSuratPemohon);
            $data['nomorSuratPemohon'] = $perkara->row()->nomorSuratPemohon;
            $data['alasanPK'] = $this->templatehelper->cleanHtmlTag($perkara->row()->alasanPK);
            $data['namaPihak'] = $this->templatehelper->standradnaming($perkara->row()->namaPihak);
            $data['agamaPihak'] = $perkara->row()->agamaPihak;
            $data['alamatPihak'] = $this->templatehelper->standradnaming($perkara->row()->alamatPihak);
            $data['kelaminPihak'] = $perkara->row()->kelaminPihak;
            $data['pekerjaanPihak'] = $this->templatehelper->standradnaming($perkara->row()->pekerjaanPihak);
            $data['pendidikanPihak'] = $this->templatehelper->standradnaming($perkara->row()->pendidikanPihak);
            $data['tempatLahirPihak'] = $this->templatehelper->standradnaming($perkara->row()->tempatLahirPihak);
            $data['tanggalLahirPihak'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalLahirPihak);
            $data['negaraPihak'] = $perkara->row()->negaraPihak;
            $data['namaJaksa'] = $this->templatehelper->standradnaming($perkara->row()->namaJaksa);
            $data['jenisPemohon'] = $perkara->row()->jenisPemohon;
            $data['namaPN'] = $this->templatehelper->standradnaming($perkara->row()->namaPN);
            $data['ketuaPN'] = $this->templatehelper->standradnaming($perkara->row()->ketuaPN);
            $data['alamatPN'] = $this->templatehelper->standradnaming($perkara->row()->alamatPN);
            $data['namaPT'] = $this->templatehelper->standradnaming($perkara->row()->namaPT);
            $data['namaPansek'] = $this->templatehelper->standradnaming($perkara->row()->namaPansek);
            $data['zonaWaktu'] = $perkara->row()->zonaWaktu;
            $data['hakim1_pk'] = $this->templatehelper->standradnaming($perkara->row()->hakim1_pk);
            $data['hakim2_pk'] = $this->templatehelper->standradnaming($perkara->row()->hakim2_pk);
            $data['hakim3_pk'] = $this->templatehelper->standradnaming($perkara->row()->hakim3_pk);
            $data['hakim4_pk'] = $this->templatehelper->standradnaming($perkara->row()->hakim4_pk);
            

        $this->load->view('generate_template/cetak_berita_acara_peninjauan_kembali',$data,FALSE);

    }
    function cetak_ba_prapid(){
        $this->load->model('generate_template/m_template_berita_acara','template');
        $segment = $this->uri->segment_array();
        $data['idperkara'] =$this->encrypt->decode(base64_decode($segment[3]));
        $data['nama_file'] =$segment[4];
        #Template
        $rowtmp = $this->template->get_template($data['nama_file']);
        foreach ($rowtmp->result() as $row){
            $data['judul_cetak'] = $this->templatehelper->standradnaming($row->nama);
        }
        $data['dataPerkara'] = $this->template->cetak_ba_perdata($data['idperkara']);
        $this->load->view('generate_template/cetak_berita_acara_prapidana',$data,FALSE);

    }

}
?>